Bug 41110 - Power Management Only Works When Screen Saver Is Disabled
Power Management Only Works When Screen Saver Is Disabled
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-17 11:45 EDT by Bruce Bigby
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 11:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Bigby 2001-05-17 11:45:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
Power Management for RH 7.1 only works when I set the Screen Saver option
to "No Screen Saver".  If I select a screen saver program, the screen saver
launches at the proper start time but the screen saver never shuts down the
monitor at the proper time.

How reproducible:
Always

Steps to Reproduce:
1. Select Control Center/Screensaver
2. Choose ay screen saver, except "No Screen saver".
3. Change Start After time to "1" so that you can see the problem quickly.
4. Change Shutdown monitor time to 1 minute.
5. Select "Use power management".
6. Click Okay.
7. Do not move the mouse.
8. After 1 minute, the screen saver should start.
9. Wait another minute for the monitor to shutdown.

Nothing happens.	

Actual Results:  The monitor never shuts down.

Expected Results:  The monitor should shut down.

Additional info:

By the way, I was able to get the power management to work when I disabled
the screen saver by setting the Screen Saver value to "No Screensaver". 
However, after I moved the mouse, the password dialogue was disabled.  I
guess that's the job of the screen saver.  Shouldn't there be a screen
saver that basically does nothing?  Who says that you have to have
something painting on your screen all of the time?
Comment 1 Bill Nottingham 2001-05-23 18:02:19 EDT
this is fixed in xscreensaver-3.32-2, control-center-1.4.0.1-2.

Note You need to log in before you can comment on or make changes to this bug.